QGIS Application - Feature request #15970
Field Calculator update existing field should default to blank selection
2016-12-11 08:22 PM - Martin Bain

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23886
Description

In the Field Calculator when you select the option to "update existing field" the first field in the table is already selected.

Would it be possible for the drop down list to default to a blank item, so that the user is always required to make a choice of the field to
update.

A colleague inadvertently overwrote the first field in a whole table with a calculation intended for another column. Its easy to do when you
are using the field calculator repeatedly.

Thank you.

Associated revisions

Revision f7a27967 - 2016-12-30 10:13 AM - Alexander Bruy

don't select any field by default in Field Calculator's "Update existing field" combobox (fix #15970)

History

#1 - 2016-12-30 01:10 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"f7a279674eea57bca232491ad297e07a08ee0b9e".

#2 - 2017-09-22 09:56 AM - Jiirgen Fischer
- Category set to Unknown
